%define upstream_name    Dist-Zilla-Plugin-Doppelgaenger
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Creates an evil twin of a CPAN distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Dist::Zilla::File::InMemory) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::pushd)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Strip)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This the Dist::Zilla manpage plugin creates a new CPAN distribution with a
new name based on the latest stable distribution of a source module.

Please do not do this without the permission of the authors or maintainers
of the source.

If the Changes files is flagged to be updated, you must have '{{$NEXT}}' in
your Changes files and use the 'NextRelease' plugin. The source
distribution will be added on a line in the Changes file after '{{$NEXT}}'.
After release, your original Changes file might look something like this:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.8.0-6.mga9
+ Revision: 1817126
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-5.mga8
+ Revision: 1494279
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.8.0-4.mga7
+ Revision: 1267521
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-3.mga6
+ Revision: 1026195
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 969072
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.8.0-1.mga6
+ Revision: 861322
- update to 0.008

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 739395
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 684431
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.7.0-1.mga5
+ Revision: 588361
- update to 0.007

* Mon Oct 21 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 537562
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.5.0-1.mga4
+ Revision: 487214
- update to 0.005

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 366120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 71107
- imported package perl-Dist-Zilla-Plugin-Doppelgaenger


* Mon Mar 14 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
